H3 Max Reference to Video
整合
模型 id
minimax/h3-max/reference-to-video
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/minimax/h3-max/reference-to-video?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"prompt_expansion_mode": "balanced"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://vit.doitong.com/api/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/minimax/h3-max/reference-to-video?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"prompt_expansion_mode": "balanced"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://vit.doitong.com/api/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"prompt_expansion_mode": "balanced",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/minimax/h3-max/reference-to-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
# 1. Connect once (Claude Code; Cursor, VS Code, Claude Desktop: https://doitong.com/zh-TW/developers/docs/mcp)
claude mcp add --transport http doitong-models https://vit.doitong.com/api/v1/mcp \
--header "Authorization: Bearer $DOITONG_API_KEY"
# 2. Your agent calls the "run" tool with:
{
"model_id": "minimax/h3-max/reference-to-video",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"prompt_expansion_mode": "balanced"
}
}
透過 Doitong API 呼叫 H3 Max Reference to Video 模型(minimax/h3-max/reference-to-video)。代理程式文件:https://doitong.com/zh-TW/developers/models/minimax/h3-max/reference-to-video.md
POST https://vit.doitong.com/api/v1/run/minimax/h3-max/reference-to-video?wait=20
Authorization: Bearer $DOITONG_API_KEY
Content-Type: application/json
{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"prompt_expansion_mode": "balanced"
}
如果回應狀態為 "queued" 或 "running",請輪詢 GET https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20,直到狀態變為 "succeeded";檔案位於 outputs[].url。使用相同主體傳送 POST https://vit.doitong.com/api/v1/quote/minimax/h3-max/reference-to-video,可在執行前取得確切價格。
像範例一樣的檔案: $0.40 400 API 點數 您的檔案會在執行前計量 在此頁面執行
您的新 API 金鑰。 僅會在此時顯示,且已填入下方的程式碼與 API 金鑰欄位。請妥善保密:切勿將其放入在瀏覽器中執行的程式碼。
建立請求
控制項是根據模型結構描述生成的。變更設定時,程式碼和價格會同步更新。
POST
/run/minimax/h3-max/reference-to-video?wait=20
報價 → $0.40
# Run the model; wait up to 20 s for the finished result in the same call
curl -X POST "https://vit.doitong.com/api/v1/run/minimax/h3-max/reference-to-video?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY" \
-H "Content-Type: application/json" \
-d '{
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"prompt_expansion_mode": "balanced"
}'
# Still "queued" or "running"? Poll with the id from the response:
curl "https://vit.doitong.com/api/v1/requests/REQUEST_ID?wait=20" \
-H "Authorization: Bearer $DOITONG_API_KEY"
const API = "https://vit.doitong.com/api/v1";
const headers = {
"Authorization": "Bearer " + process.env.DOITONG_API_KEY,
"Content-Type": "application/json",
};
// Run the model; wait up to 20 s for the finished result in the same call
let res = await fetch(API + "/run/minimax/h3-max/reference-to-video?wait=20", {
method: "POST",
headers,
body: JSON.stringify({
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"prompt_expansion_mode": "balanced"
}),
});
let request = await res.json();
if (!res.ok) throw new Error(request.error.code + ": " + request.error.message);
// Not finished yet: long-poll until it is
while (request.status === "queued" || request.status === "running") {
res = await fetch(API + "/requests/" + request.id + "?wait=20", { headers });
request = await res.json();
}
if (request.status !== "succeeded") throw new Error(JSON.stringify(request.error));
console.log(request.outputs.map((o) => o.url), request.cost.credits + " API credits ($" + request.cost.usd + ")");
import os
import requests
API = "https://vit.doitong.com/api/v1"
headers = {"Authorization": "Bearer " + os.environ["DOITONG_API_KEY"]}
payload = {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"prompt_expansion_mode": "balanced",
}
# Run the model; wait up to 20 s for the finished result in the same call
r = requests.post(API + "/run/minimax/h3-max/reference-to-video", params={"wait": 20}, json=payload, headers=headers)
request = r.json()
if not r.ok:
raise RuntimeError(request["error"]["code"] + ": " + request["error"]["message"])
# Not finished yet: long-poll until it is
while request["status"] in ("queued", "running"):
request = requests.get(API + "/requests/" + request["id"], params={"wait": 20}, headers=headers).json()
if request["status"] != "succeeded":
raise RuntimeError(request["error"])
print([o["url"] for o in request["outputs"]], request["cost"]["credits"], "API credits", "$" + request["cost"]["usd"])
{
"jsonrpc": "2.0",
"id": 1,
"method": "tools/call",
"params": {
"name": "run",
"arguments": {
"model_id": "minimax/h3-max/reference-to-video",
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"prompt_expansion_mode": "balanced"
},
"wait_seconds": 20
}
}
}
關於 H3 Max Reference to Video
根據參考素材生成影片:最多 9 張影像、3 部影片與 3 個音訊片段,總檔案數最多 12 個。提示詞以 Image 1、Video 1、Audio 1 等名稱指代素材。可選的首幀、中間幀(`middle_image_url` 位於 `middle_frame_time`)與末幀可固定開頭、中段與結尾。`duration` 為 0.92 至 15 秒,`aspect_ratio` 可設為 adaptive。
參數
請傳送標準名稱或原生名稱其中之一,不要同時傳送兩者。 標準名稱
名稱類型
預設值允許值
說明
prompt必填
類型string
≤ 50,000 個字元
影片生成指示,依資產類型及其在各參考清單中的位置識別參考內容,使用 Audio 1、Video 1、Image 1、Image 2 等標籤。
reference_image_urls選填
images
類型url[] · image
≤ 9 個項目
主體或風格參考圖像 URL,與所有影片和音訊參考共用 12 個檔案的上限。在提示詞中依清單位置使用 Image 1、Image 2 及後續標籤識別這些圖像。
reference_video_urls選填
類型url[] · video
≤ 3 個項目
動作或其他參考影片 URL,在提示詞中依清單位置使用 Video 1、Video 2 及後續標籤識別。圖像、影片和音訊參考共用 12 個檔案的上限;每個影片片段須長 2–15 秒,總長度不得超過 15 秒。
reference_audio_urls選填
類型url[] · audio
≤ 3 個項目
以 URL 提供參考音訊,並在提示詞中使用 Audio 1、Audio 2 及後續標籤識別片段。每個片段須長 2–15 秒,音訊總長度不得超過 15 秒。圖像、影片和音訊參考類型可單獨提供或組合提供,但共用上限為 12 個檔案。
image_url選填
image
類型url · image
可選的圖像 URL,用於定義精確的開頭影格並決定輸出畫布。參考資產會維持主體一致性。
middle_image_url選填
類型url · image
可選的 middle_frame_time 引導圖像,僅適用於原生 480P 或 768P 生成,且必須同時提供起始圖像和結尾圖像。
middle_frame_time選填
類型number | null
> 0< 15
中間圖像的放置時間,僅可與 middle_image_url 搭配使用,且位置必須嚴格位於要求影片的第一個和最後一個影格之間。提供自開始起經過的秒數;數值會四捨五入至最接近的 24 fps 影格。
end_image_url選填
end_image
類型url · image
可選的最後圖像 URL,將影片的精確結尾影格固定為所提供的圖像。
duration選填
類型number
預設值5
0.92 – 15
要求的持續時間(以秒為單位),實際影片長度最多可超出該要求約 0.7 s。
resolution選填
類型enum
預設值768P
480P768P1080P
生成解析度選擇:1080P 需要對原生以 768P 生成的素材進行潛在空間細化,而不是以所選解析度原生生成。
seed選填
類型integer | null
隨機生成的種子;省略時會隨機選擇。
enable_safety_checker選填
類型boolean
預設值true
安全檢查器啟用狀態;true 會啟用檢查。
prompt_expansion_mode必填
類型string
預設值balanced
生成前提示詞改寫程度:'quality' 最長約 30s,可產生更豐富的提示詞;'balanced' 約一秒返回。選擇 'disabled' 可略過提示詞擴充。
aspect_ratio選填
類型enum
預設值adaptive
adaptive21:916:94:31:13:49:16
輸出影片的長寬比。
reference_conditions選填
類型object[]
≤ 12 個項目
作為 reference_*_urls 替代方案提供的參考清單,不得與其同時使用。不同模態之間的排序具有意義,因此整個處理過程會維持該順序。
reference_conditions[].type必填
類型enum
imagevideoaudio
參考內容的模態;清單中不同模態的排序具有意義。
reference_conditions[].url必填
類型string
≥ 1 characters
參考媒體的 URL。
必填
標準名稱,也可使用
檔案參數接受公開的 https:// URL、最大 10 MB 的 data: URI,或上傳檔案的 file_url。 檔案
輸出
GET /requests/req_8k2m4q7x1z9c3v5b6n0p2r4t
{
"id": "req_8k2m4q7x1z9c3v5b6n0p2r4t",
"object": "request",
"model": "minimax/h3-max/reference-to-video",
"status": "succeeded",
"created_at": "2026-10-20T12:00:00Z",
"started_at": "2026-10-20T12:00:02Z",
"completed_at": "2026-10-20T12:00:09Z",
"queue_position": null,
"cost": {
"credits": 400,
"usd": "0.40",
"charged": 400,
"refunded": 0
},
"input": {
"prompt": "A red fox trots through fresh snow at sunrise, soft golden light, shallow depth of field",
"prompt_expansion_mode": "balanced"
},
"output": {
"video": {
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_name": "0-output.mp4",
"file_size": 1843200
},
"expanded_prompt": "string",
"seed": 42,
"timings": {}
},
"outputs": [
{
"type": "video",
"url": "https://content.doitong.com/dev-api/2026/10/20/req_8k2m4q7x1z9c3v5b6n0p2r4t/0-output.mp4",
"content_type": "video/mp4",
"file_size": 1843200,
"width": 1280,
"height": 720,
"duration": 5,
"stored": true
}
],
"error": null,
"metrics": {
"inference_seconds": 6.8
},
"urls": {
"self": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t",
"cancel": "https://vit.doitong.com/api/v1/requests/req_8k2m4q7x1z9c3v5b6n0p2r4t/cancel"
}
}
您的檔案,由您選擇每個 outputs[].url 都是儲存空間中的副本:可永久保留(按 GB-月計費),或免費保留 7 天;可透過帳戶設定或 ?storage= 設定。
所有模型使用相同結構圖片、影片和音訊皆包含 type、url、content_type、width、height 和 duration。output 是模型自己的結果物件。
輸出欄位
- video
- object {url, content_type, file_name, file_size}模型產生的影片。
- expanded_prompt
- string | null供模型使用的擴充提示詞;若沒有可用的擴充文字則為 null。null 的情況包括停用擴充、擴充後沒有變更,以及由模型託管的 API 內部處理擴充。
- seed
- integer用於重現生成結果的基礎種子。
- timings
- object | null以秒表示的時間測量值,僅在回報後端時間的路由上可用;否則為 null。'inference' 項目會測量 DiT 在 GPU 後端上進行去噪所需的時間。
其他 Hailuo 03 New Turbo 變體
更多模型:參考圖轉影片
給 AI 代理程式:此頁面的 Markdown 位於 https://doitong.com/zh-TW/developers/models/minimax/h3-max/reference-to-video.md. 所有模型與指南: https://doitong.com/developers/llms.txt